CREATE TABLE iby_pmtmthd_conditions (
    PAYMENTMETHODID          NUMBER(18, 0)    NOT NULL,
    PARAMETER_CODE           VARCHAR2(120)    NOT NULL,
    OPERATION_CODE           VARCHAR2(60)     NOT NULL,
    VALUE                    VARCHAR2(120),
    IS_VALUE_STRING          VARCHAR2(4)  ,
    ENTRY_SEQUENCE           NUMBER(4, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    SECURITY_GROUP_ID        NUMBER       ,
    CONDITION_NAME           VARCHAR2(320),
    PMTMTHD_CONDITION_ID     NUMBER(18, 0),
    PAYMENTMETHODID          NUMBER(18, 0)    NOT NULL,
    PARAMETER_CODE           VARCHAR2(120)    NOT NULL,
    OPERATION_CODE           VARCHAR2(60)     NOT NULL,
    VALUE                    VARCHAR2(120),
    IS_VALUE_STRING          VARCHAR2(4)  ,
    ENTRY_SEQUENCE           NUMBER(4, 0)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    SECURITY_GROUP_ID        NUMBER       ,
    CONDITION_NAME           VARCHAR2(320),
    PMTMTHD_CONDITION_ID     NUMBER(18, 0),
    CONSTRAINT pk_iby_pmtmthd_conditions PRIMARY KEY (PMTMTHD_CONDITION_ID, PMTMTHD_CONDITION_ID)
);
